Linux XBMC Kodi installation on Rebecca Linux Mint 17.1 Rebecca
#1
I get the following error after this command:
sudo add-apt-repository ppa:team-xbmc/ppa[/b]

Traceback (most recent call last):
File "/usr/bin/add-apt-repository", line 91, in <module>
sp = SoftwareProperties(options=options)
File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 109, in __init__
self.reload_sourceslist()
File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 599, in reload_sourceslist
self.distro.get_sources(self.sourceslist)
File "/usr/lib/python3/dist-packages/aptsources/distro.py", line 89, in get_sources
(self.id, self.codename))
aptsources.distro.NoDistroTemplateException: Error: could not find a distribution template for LinuxMint/rebecca
Reply
#2
Try adding the lines to /etc/apt/sources.list manually. Ubuntu's ppa obviously doesn't recognise rebecca. Rebecca is based on trusty I think? So you need to add these lines:

deb http://ppa.launchpad.net/team-xbmc/ppa/ubuntu trusty main
deb-src http://ppa.launchpad.net/team-xbmc/ppa/ubuntu trusty main

You'll need to add the key too, or you'll get error messages about untrusted packages. Unfortunately I can't recall the key sequence for that...

PS I think it's something like

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys A HEX NUMBER HERE NOT SURE WHAT IT IS.
If I have helped you or increased your knowledge, click the 'thumbs up' button to give thanks :) (People with less than 20 posts won't see the "thumbs up" button.)
Reply
#3
Hi,

The commands to add the key are:


gpg --keyserver keyserver.ubuntu.com --recv-keys 91E7EE5E
gpg --export --armor 91E7EE5E | sudo apt-key add -
Reply
#4
Hi,

And if we want latest Kodi. We should add those lines to /etc/apt/sources.list manually:
Code:
deb http://ppa.launchpad.net/team-xbmc/unstable/ubuntu trusty main
deb-src http://ppa.launchpad.net/team-xbmc/unstable/ubuntu trusty main

And after that we should do:
Code:
sudo apt-get update
sudo apt-get install kodi kodi-bin
Reply
#5
Just a note that with the ppa's already installed in 17, after upgrading to 17.1 they remain and all that is required to update to most current beta is
Code:
sudo apt-get update
sudo apt-get install kodi
i.e. if already present under 17, there is no need to re-add the packages or keys.

Note also that using the /ppa package will install the last xbmc version, (current stable version) 13.2
If you want Kodi 14 Release candidates, you need the /unstable package.
Reply
#6
I was able to install kodi by following these instructions. Thank you very much for that! But I have now a new problem. One addon doesn't seem to work in kodi (ruutu.fi) and I would like to try if it would work on xbmc 13.2, but I am unable to install xbmc. When trying to add team-xbmc/ppa I get the same error as in the first post. I have added lines in sources.list, but that won't help - still the same error. Unstable package work just fine, but one can't install xbmc using that...(?)

Any ideas how to install xbmc 13.2 instead of kodi?
Reply
#7
Code:
apt-cache policy xbmc
If I have helped you or increased your knowledge, click the 'thumbs up' button to give thanks :) (People with less than 20 posts won't see the "thumbs up" button.)
Reply
#8
(2014-12-20, 00:03)nickr Wrote:
Code:
apt-cache policy xbmc


xbmc:
Installed: (none)
Candidate: 2:14.0~git20141209.0902-rc3-0trusty
Version table:
2:14.0~git20141209.0902-rc3-0trusty 0
500 http://ppa.launchpad.net/team-xbmc/unstable/ubuntu/ trusty/main amd64 Packages
2:13.2~git20140817.2155-final-0trusty 0
500 http://ppa.launchpad.net/team-xbmc/ppa/ubuntu/ trusty/main amd64 Packages
500 http://ppa.launchpad.net/team-xbmc/unstable/ubuntu/ trusty/main amd64 Packages
2:12.3+dfsg1-3ubuntu1 0
500 http://archive.ubuntu.com/ubuntu/ trusty/universe amd64 Packages
Reply
#9
sudo apt-get install xbmc=2:13.2~git20140817.2155-final-0trusty xbmc-bin=2:13.2~git20140817.2155-final-0trusty
Reply
#10
Thumbs Up 
(2014-12-21, 10:31)wsnipex Wrote: sudo apt-get install xbmc=2:13.2~git20140817.2155-final-0trusty xbmc-bin=2:13.2~git20140817.2155-final-0trusty

Great! Thanks!
Reply
#11
I had to do the same thing to get TV headend to install. I'm going to flag that with the Mint team.
Reply
#12
Nothing to do with the mint team, it is controlled by the ppas you have installed.
If I have helped you or increased your knowledge, click the 'thumbs up' button to give thanks :) (People with less than 20 posts won't see the "thumbs up" button.)
Reply
 
Thread Rating:
  • 0 Vote(s) - 0 Average



Logout Mark Read Team Forum Stats Members Help
XBMC Kodi installation on Rebecca Linux Mint 17.1 Rebecca00
This forum uses Lukasz Tkacz MyBB addons.